ELFTOAOUT(1)

NAME
elftoaout - ELF to a.out convertor

SYNOPSIS
elftoaout [ -b ] [ -o outfile ] [ -V ] infile

DESCRIPTION
elftoaout converts a 32bit or 64bit SPARC ELF image to a.out format. This is needed for SPARC bootstraps, as Sun PROM expects a.out image when booting via net or tape or from the disk. On the disk, most of the people use SILO, which uses elftoaout to create first stage loader, but understands ELF format, so you don't need to convert a kernel if you will boot it with SILO.

OPTIONS

-b  sun4 format. Unlike other PROMs ( sun4[cdemu] ), sun4 PROM does not understand the 32bit a.out header and thus this option strips the header from the image. Other PROMs need such a header, so use this only if you are building an image for sun4 or other architectures that explicitly reqire a headerless image.

-V  Print elftoaout version and exit.

-o outfile
    Specify output file name, instead of the default a.out

-c  Compute an image checksum and store it in a.out header.

infile
    Required parameter which specifies the ELF image to be converted.

BUGS
This utility can handle just a couple of specific cases needed for kernel and SILO conversions, but is not able to to convert all ELF binaries to a.out. It can only convert static binaries and has a couple of other limitations.

AUTHOR
elftoaout has been written by Pete A. Zaitcev <zaitcev@vger.rutgers.edu>, support for 64bit ELF has been added by Jakub Jelinek <jj@ultra.linux.cz>.

AVAILABILITY
elftoaout is available for anonymous ftp from sunsite.mff.cuni.cz in /OS/Linux/Sparc/local/elftoaout/.

SEE ALSO
silo(8)